# Uses of Enum
org.eclipse.birt.chart.model.attribute.MarkerType

Packages that use MarkerType
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of MarkerType in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type MarkerType
Modifier and Type
Field
Description
`static final List<MarkerType>`
MarkerType.`VALUES`
A public read-only list of all the 'Marker Type' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return MarkerType
Modifier and Type
Method
Description
`static MarkerType`
MarkerType.`get(int value)`
Returns the 'Marker Type' literal with the specified integer value.
`static MarkerType`
MarkerType.`get(String literal)`
Returns the 'Marker Type' literal with the specified literal value.
`static MarkerType`
MarkerType.`getByName(String name)`
Returns the 'Marker Type' literal with the specified name.
`MarkerType`
Marker.`getType()`
Returns the value of the 'Type' attribute.
`static MarkerType`
MarkerType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static MarkerType[]`
MarkerType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.birt.chart.model.attribute with parameters of type MarkerType
Modifier and Type
Method
Description
`void`
Marker.`setType(MarkerType value)`
Sets the value of the '`Type`' attribute.

## Uses of MarkerType in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return MarkerType
Modifier and Type
Method
Description
`MarkerType`
AttributeFactoryImpl.`createMarkerTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`MarkerType`
AttributeFactoryImpl.`createMarkerTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`MarkerType`
MarkerImpl.`getType()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type MarkerType
Modifier and Type
Method
Description
`static final Marker`
MarkerImpl.`create(MarkerType markerType, int size)`
`static final Marker`
MarkerImpl.`createDefault(MarkerType markerType, int size, boolean visible)`
`void`
MarkerImpl.`setType(MarkerType newType)`